import frappe

def submit(doc, method):
    if hasattr(doc, 'property') and doc.property:
        prop = frappe.get_doc('Property', doc.property)
        prop.customer = doc.customer
        prop.customer_name = doc.customer_name
        prop.save()
    if hasattr(doc, 'unit') and doc.unit:
        unit = frappe.get_doc('Unit', doc.unit)
        unit.customer = doc.customer
        unit.customer_name = doc.customer_name
        unit.save()

def cancel(doc, method):
    if hasattr(doc, 'property') and doc.property:
        prop = frappe.get_doc('Property', doc.property)
        prop.customer = None
        prop.customer_name = None
        prop.save()
    if hasattr(doc, 'unit') and doc.unit:
        unit = frappe.get_doc('Unit', doc.unit)
        unit.customer = None
        unit.customer_name = None
        unit.save()