# -*- coding: utf-8 -*-
from setuptools import setup, find_packages

with open('requirements.txt') as f:
	install_requires = f.read().strip().split('\n')

# get version from __version__ variable in property_management/__init__.py
from muezzin import __version__ as version

setup(
	name='muezzin',
	version=version,
	description='Property Management',
	author='Havenir Solutions',
	author_email='info@havenir.com',
	packages=find_packages(),
	zip_safe=False,
	include_package_data=True,
	install_requires=install_requires
)
