// Copyright (c) 2021, Havenir Solutions and contributors
// For license information, please see license.txt

frappe.ui.form.on('Maintenance Ticket', {
	refresh: function(frm) {
		queries(frm);
	},

	onload_post_render(frm) {
		set_location(frm);
	},

	property(frm) {
		if (frm.doc.property) {
			// setTimeout(set_location(frm), 500);
		} else {
			frm.doc.unit = null;
			frm.doc.property_location = null;
			frm.doc.latitude = null;
			frm.doc.longitude = null;
			frm.refresh_fields(['unit', 'property_location', 'latitude', 'longitude']);
		}
	},
	property_location(frm) {
		set_location(frm);
	}
});

function queries(frm) {
	frm.set_query('unit', () => {
		return {
			filters: {
				property: frm.doc.property
			}
		}
	})
}

// function set_location(frm) {
// 	if (!frm.doc.property_location && frm.doc.latitude && frm.doc.longitude) {
// 		frm.fields_dict.property_location.map.setView([frm.doc.latitude, frm.doc.longitude], 13);
// 	}
// 	else {
// 		frm.doc.latitude = frm.fields_dict.property_location.map.getCenter()['lat'];
// 		frm.doc.longitude = frm.fields_dict.property_location.map.getCenter()['lng'];
// 	}
// }