# -*- coding: utf-8 -*-
# Copyright (c) 2021, Havenir Solutions and contributors
# For license information, please see license.txt

from __future__ import unicode_literals
import frappe
from frappe.model.document import Document

class Unit(Document):
	pass



@frappe.whitelist()
def make_sales_invoice(source_name, target_doc=None):
	from frappe.model.mapper import get_mapped_doc

	doclist = get_mapped_doc("Unit", source_name,	{
		"Unit": {
			"doctype": "Sales Invoice",
			"validation": {
				"docstatus": ["=", 0]
			}
		}
	}, target_doc)

	return doclist