from __future__ import unicode_literals
from frappe import _

def get_data():
	return {
		'fieldname': 'unit',
		'non_standard_fieldnames': {
			'Purchase Invoice': 'unit',
			'Sales Invoice': 'unit',
			'Payment Entry':'unit',
			'Journal Entry': 'unit',
		},
		'transactions': [
			{
				'label': _('Related'),
				'items': ['Purchase Invoice', 'Sales Invoice']
			},
			{
				'label': _('Reference'),
				'items': ['Payment Entry','Journal Entry']
			},
			{
				'label': _('Property'),
				'items': ['Property Contract']
			},
			{
				'label': _('Reservations'),
				'items': ['Reservations']
			}
		]
	}
