// Copyright (c) 2021, Havenir Solutions and contributors
// For license information, please see license.txt

frappe.ui.form.on('Unit Sale Contract', {
    refresh: function (frm) {
        frm.add_custom_button(__("Print Cheque"), () => {
            frm.events.print_cheques(frm)
        }, "Print Cheque");
    },
    print_cheques:function (frm){
        show_dialog(frm)
    }
});


let show_dialog = function (frm) {
		var d = new frappe.ui.Dialog({
			title: __('Select Bank'),
			fields: [
				{
					"label" : "Bank",
					"fieldname": "bank",
					"fieldtype": "Link",
					"reqd": 1,
					"options": "Bank"
				}
			],
			primary_action: function() {
				var data = d.get_values();
                d.hide();
			},
			primary_action_label: __('Print Bank Cheque')
		});
		d.show();
}