// Copyright (c) 2016, Havenir Solutions and contributors
// For license information, please see license.txt
/* eslint-disable */

frappe.query_reports["Service Charge Roll"] = {
	"filters": [
		{
            "label": "Company",
            "fieldname": "company",
            "fieldtype": "Link",
            "options": "Company",
            "default": frappe.defaults.get_user_default("Company"),
        },
		{
            "label": "From Date",
            "fieldname": "from_date",
            "fieldtype": "Date",
            "default": frappe.datetime.year_start()
        },
        {
            "label": "To Date",
            "fieldname": "to_date",
            "fieldtype": "Date",
            "default": frappe.datetime.year_end()
        },
        {
            "label": "Status",
            "fieldname": "docstatus",
            "fieldtype": "Select",
            "options":"All\nSubmitted\nDraft",
            "default": "Submitted"
        }
	]
};
