frappe.ui.form.on("Payment Entry", {
  onload(frm, dt, dn) {
    if (frm.is_new()) {
      const item = frm.doc.references[0];
      let doctype = "Sales Invoice";
      let doc_name = item.reference_name;

      frappe.db.get_value(doctype, doc_name, "unit").then((r) => {
        frappe.model.set_value(dt, dn, "unit", r.message.unit);
      });

      frappe.db.get_value(doctype, doc_name, "property").then((r) => {
        frappe.model.set_value(dt, dn, "property", r.message.property);
      });
    }
  },
});
